#
# spec file for package rubygem-unf
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-unf
Version:        0.2.0
Release:        1.2
%define mod_name unf
%define mod_full_name %{mod_name}-%{version}
BuildRequires:  %{rubydevel >= 1.9.3}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
URL:            https://github.com/knu/ruby-unf
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        A wrapper library to bring Unicode Normalization Form support to
License:        BSD-2-Clause

%description
This is a wrapper library to bring Unicode Normalization Form support
to Ruby/JRuby.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md LICENSE README.md" \
  -f
%gem_cleanup

%gem_packages

%changelog
* Mon Nov  4 2024 Dan Čermák <dan.cermak@posteo.net>
- ## 0.2.0 (2024-08-18)
  Features:
  - Use String#unicode_normalize on Ruby >=2.2 unless unf_ext is already loaded.
  - Reduce the gem size by removing unnecessary files. (GH #22)
  [#]# 0.1.4 (2014-04-04)
  Bugfixes:
  - Fix the gem platform name for JRuby.
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Sun Apr  6 2014 coolo@suse.com
- updated to version 0.1.4, no changelog
* Thu Oct 31 2013 coolo@suse.com
- updated to version 0.1.3
  - Make UNF::Normalizer.instance thread-safe, and deprecate .new.
    (GH #5)
* Mon Aug 26 2013 coolo@suse.com
- updated to version 0.1.2
  Features:
  - Add license to gemspec.
  - Adjust dependencies for Ruby 1.8 to satisfy bundler.
* Sun Mar 24 2013 coolo@suse.com
- updated to version 0.1.1
* Mon Mar 18 2013 coolo@suse.com
- updated to version 0.1.0
* Sat Jul 28 2012 coolo@suse.com
- initial package
